<?xml version="1.0"?>

<!--
// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com ************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 
-->

<?xml-stylesheet href="chrome://kiosk/skin" type="text/css"?>

<!DOCTYPE window [
<!ENTITY % kioskDTD SYSTEM "chrome://kiosk/locale/kiosk.dtd">
%kioskDTD;
<!ENTITY % bindingsDTD SYSTEM "chrome://kiosk/locale/bindings.dtd">
%bindingsDTD;
]>

<window
	
	id="main-window"
	debug="false"
	xmlns:html="http://www.w3.org/TR/REC-html40"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	windowtype="navigator:browser"
	title= "&window.title;"
	onload="new_page('&base.uri;'), window_size();">

<script type="text/javascript" src="./kiosk.js"/>
<script type="text/javascript" src="./implmnt-specific.js"/>
<!-- <script type="text/javascript" src="./implmnt-specific-reset.js"/> -->


 <vbox id="appcontent" flex="100%">
 <hbox id="tool-bar">
 <box id="nav-bar" flex="100%">
 <menubar id="nav-buttons"/>

 </box>
<!--
 <box id="throbber-bar">
	<image id="throbber" tooltiptext="&throbber.msg;"/>
 </box>
-->
 </hbox>

   <box id="browser1" flex="1">
     <browser type="content-primary" src="&base.uri;" id="content" name="content" flex="1" onclick="Remember_last_page();">
     </browser>
   </box>
 <box id="progress_bar">
 <progressmeter id="progress" class="meter" mode="normal" value="0%"
	 tooltiptext="&progress.meter;">
  </progressmeter>
  <label crop="end" id="progress_text" value="Should be next to the progress meter" flex="2"/>
 </box>
 </vbox>
</window>
